<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    WP_Dashboard_Cleaner
 * @subpackage WP_Dashboard_Cleaner/admin/partials
 */
function wp_dashboard_cleaner_admin_area(){
	$nonce = wp_create_nonce("save_wpdc_value");
	$nonce_other = wp_create_nonce("save_wpdc_other_value");
?>
<h1 class="wpdc_main_title"><img src="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_icon.jpg','wpdc'); ?>" /><?php echo __('&nbsp;&nbsp;WP Dashboard Cleaner','wpdc'); ?></h1>
<div class="wpdc_main">
  <h4><?php echo __('Here you can enable / disable dashboard widgets generated by WordPress or Plugins','wpdc'); ?></h4>
  <?php if(isset($_REQUEST['res']) && $_REQUEST['res'] == 'suc'){ ?>
  <div class="wpdc_message">
    <div id="message" class="updated notice notice-success is-dismissible">
      <p><?php echo __('Saved Successfully.','wpdc'); ?></p>
      <button type="button" class="notice-dismiss"><span class="screen-reader-text"><?php echo __('Dismiss this notice.','wpdc'); ?></span></button>
    </div>
  </div>
  <?php } ?>
  <div class="wpdc_left">
    <form name="wpdc_form" id="wpdc_form">
      <input type="hidden" name="wpdc_nonce" id="wpdc_nonce" value="<?php echo $nonce; ?>" />
      <table class="widefat" width="50%">
        <tr>
            <th colspan="3"><h2><?php echo __('WordPress Default Dashboard Widgets','wpdc'); ?></h2></td>
        </tr>
        <tr>
          <td width="50%"><?php echo __('Remove <strong>At a Glance</strong> Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_atglance" <?php wpdc_checkOptionValue('_wpdc_atglance'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_atglance.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="50%"><?php echo __('Remove <strong>Activity</strong> Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_activity" <?php wpdc_checkOptionValue('_wpdc_activity'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_activity.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="50%"><?php echo __('Remove <strong>WordPress Events & News </strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_event_news" <?php wpdc_checkOptionValue('_wpdc_event_news'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_event_news.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="50%"><?php echo __('Remove <strong>Quick Draft</strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_quick_draft" <?php wpdc_checkOptionValue('_wpdc_quick_draft'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_quick_draft.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td colspan="3" align="right"><input type="button" class="button button-primary" id="SaveWPDCData" name="SaveWPDCData" value="Save"></td>
        </tr>
      </table>
    </form>
  </div>
  <div class="wpdc_right">
  	<form name="wpdc_form_other" id="wpdc_form_other">
      <input type="hidden" name="wpdc_nonce_other" id="wpdc_nonce_other" value="<?php echo $nonce_other; ?>" />
      <table class="widefat" width="50%">
        <tr>
            <th colspan="3"><h2><?php echo __('Other Popular Plugins Dashboard Widgets','wpdc'); ?></h2></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>Yoast SEO Posts Overview</strong> Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_yoastseo" <?php wpdc_checkOptionValueOther('_wpdc_yoastseo'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_yoastseo.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>Gravity Forms</strong> Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_gforms" <?php wpdc_checkOptionValueOther('_wpdc_gforms'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_gforms.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>Wordfence activity </strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_wordfence" <?php wpdc_checkOptionValueOther('_wpdc_wordfence'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_wordfence.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>Broken Link Checker </strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_borkenlinkchecker" <?php wpdc_checkOptionValueOther('_wpdc_borkenlinkchecker'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_borkenlinkchecker.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>WooCommerce Status </strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_woostatus" <?php wpdc_checkOptionValueOther('_wpdc_woostatus'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_woostatus.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td width="55%"><?php echo __('Remove <strong>WooCommerce Recent Reviews </strong>Widget:','wpdc'); ?></td>
          <td class="wpdc_chk"><input type="checkbox" name="_wpdc_woorevies" <?php wpdc_checkOptionValueOther('_wpdc_woorevies'); ?> value="1" /></td>
          <td class="wpdc_opt_desc"><a href="<?php echo __(WPDC_DEMO_IMAGE_PATH.'wpdc_woorevies.png','wpdc'); ?>" class="thickbox">View Demo</a></td>
        </tr>
        <tr>
          <td colspan="3" align="right"><input type="button" class="button button-primary" id="SaveWPDCOtherData" name="SaveWPDCOtherData" value="Save"></td>
        </tr>
      </table>
    </form>
  </div>
<?php } ?>